use maud::{html, PreEscaped, DOCTYPE};

pub fn base(back: String, title: String, content: PreEscaped<String>) -> PreEscaped<String> {
    html! {
        (DOCTYPE)
        html lang="en" {
            head {
                meta charset="utf-8";
                title { "PeachCloud" }
                meta name="description" content="PeachCloud Network";
                meta name="author" content="glyph";
                meta name="viewport" content="width=device-width, initial-scale=1.0";
                link rel="icon" type="image/x-icon" href="/static/icons/peach-icon.png";
                link rel="stylesheet" href="/static/css/peachcloud.css";
            }
            body {
                // render the navigation template
                (nav(back, title, content))
            }
        }
    }
}

pub fn nav(back: String, title: String, content: PreEscaped<String>) -> PreEscaped<String> {
    html! {
        (PreEscaped("<!-- TOP NAV BAR -->"))
        nav class="nav-bar" {
            a class="nav-item" href=(back) title="Back" {
                img class="icon-medium nav-icon-left icon-active" src="/static/icons/back.svg" alt="Back";
            }
            h1 class="nav-title" { (title) }
            a class="nav-item" id="logoutButton" href="/logout" title="Logout" {
                img class="icon-medium nav-icon-right icon-active" src="/static/icons/enter.svg" alt="Enter";
            }
        }
        (PreEscaped("<!-- MAIN CONTENT CONTAINER -->"))
        main { (content) }
        (PreEscaped("<!-- BOTTOM NAV BAR -->"))
        nav class="nav-bar" {
            a class="nav-item" href="https://scuttlebutt.nz/" {
                img class="icon-medium nav-icon-left" title="Scuttlebutt Website" src="/static/icons/hermies.png" alt="Secure Scuttlebutt";
            }
            a class="nav-item" href="/" {
                img class="icon nav-icon-left" src="/static/icons/peach-icon.png" alt="PeachCloud" title="Home";
            }
            a class="nav-item" href="/power" {
                img class="icon-medium nav-icon-right icon-active" title="Shutdown" src="/static/icons/power.svg" alt="Power switch";
            }
        }
    }
}
