use maud::{html, PreEscaped};

use crate::context;
use crate::templates;

pub async fn async_test() -> PreEscaped<String> {
    let back = "".to_string();
    let title = "".to_string();

    let whoami = context::test::test_async().await.unwrap();

    let content = html! {
        p { (whoami) }
    };

    templates::base::base(back, title, content)
}

pub fn menu() -> PreEscaped<String> {
    let back = "".to_string();
    let title = "".to_string();

    let content = html! {
        (PreEscaped("<!-- RADIAL MENU -->"))
        div class="grid" {
            (PreEscaped("<!-- top-left -->"))
            (PreEscaped("<!-- PEERS LINK AND ICON -->"))
            a class="top-left" href="/scuttlebutt/peers" title="Scuttlebutt Peers" {
                div class="circle circle-small" {
                    img class="icon-medium" src="/static/icons/users.svg";
                }
            }
            (PreEscaped("<!-- top-middle -->"))
            (PreEscaped("<!-- CURRENT USER LINK AND ICON -->"))
            a class="top-middle" href="/scuttlebutt/profile" title="Profile" {
                div class="circle circle-small" {
                    img class="icon-medium" src="/static/icons/user.svg";
                }
            }
            (PreEscaped("<!-- top-right -->"))
            (PreEscaped("<!-- MESSAGES LINK AND ICON -->"))
            a class="top-right" href="/scuttlebutt/private" title="Private Messages" {
                div class="circle circle-small" {
                    img class="icon-medium" src="/static/icons/envelope.svg";
                }
            }
            (PreEscaped("<!-- middle -->"))
            a class="middle" href="/hello" {
                div class="circle circle-large" { }
            }
            (PreEscaped("<!-- bottom-left -->"))
            (PreEscaped("<!-- SYSTEM STATUS LINK AND ICON -->"))
            a class="bottom-left" href="/status" title="Status" {
                div class="circle circle-small" {
                    img class="icon-medium" src="/static/icons/heart-pulse.svg";
                }
            }
            (PreEscaped("<!-- bottom-middle -->"))
            (PreEscaped("<!-- PEACHCLOUD GUIDEBOOK LINK AND ICON -->"))
            a class="bottom-middle" href="/help" title="Help Menu" {
                div class="circle circle-small" {
                    img class="icon-medium" src="/static/icons/book.svg";
                }
            }
            (PreEscaped("<!-- bottom-right -->"))
            (PreEscaped("<!-- SYSTEM SETTINGS LINK AND ICON -->"))
            a class="bottom-right" href="/settings" title="Settings Menu" {
                div class="circle circle-small" {
                    img class="icon-medium" src="/static/icons/cog.svg";
                }
            }
        }
    };

    // we pass the content of this template into the base template
    templates::base::base(back, title, content)
}
